import { defAxios as request } from '@/utils/http'
/**
 * 获取角色分页数据接口
 * @returns 角色分页数据
 */
export function getRoleList(params) {
  return request({
    url: '/role/index',
    method: 'GET',
    params
  })
}

/**
 * 获取角色全部数据接口
 * @returns 角色全部数据
 */
export function getRoleAll(params) {
  return request({
    url: '/role/getRoleList',
    method: 'GET',
    params
  })
}

/**
 * 添加角色
 * params
 */
export function roleCreate(data) {
  return request({
    url: '/role/add',
    method: 'POST',
    data
  })
}

/**
 * 编辑角色
 * params
 */
export function roleUpdate(data) {
  return request({
    url: '/role/edit',
    method: 'PUT',
    data
  })
}

/**
 * 设置角色状态
 * params
 */
export function setRoleStatus(data) {
  return request({
    url: '/role/status',
    method: 'PUT',
    data
  })
}

/**
 * 删除角色
 * params
 */
export function roleDelete(data) {
  return request({
    url: `/role/delete/${data}`,
    method: 'DELETE'
  })
}
/**
 * 获取角色菜单
 * params
 */
export function getRoleMenu(params) {
  return request({
    url: `/role/getMenuList`,
    method: 'GET',
    params
  })
}
/**
 * 保存角色选中的菜单
 * params
 */
export function saveRoleMenu(data) {
  return request({
    url: `/role/savePermission`,
    method: 'POST',
    data
  })
}

/**
 * 获取角色权限数据
 * @param 角色id
 * @returns 角色全部权限数据
 */
export function getRolePermission(id) {
  return request({
    url: `/role/getPermissionList/${id}`,
    method: 'GET'
  })
}

/**
 * 保存角色权限信息
 * params
 */
export function savePermission(data) {
  return request({
    url: '/role/savePermission',
    method: 'POST',
    data
  })
}
